if (etat_gardemairie < 1)
{
etat_gardemairie=15;
sound.playSoundUI("sound.dialogues");
chat.print("<Guard> Hop hop hop young man, random people don't enter the city hall.");
time.sleep(3);
sound.playSoundUI("sound.dialogues");
chat.print("In this town, everybody knows each other. You'll need to gain the trust of the mayor so you can be received.");
time.sleep(5);
sound.playSoundUI("sound.dialogues");
chat.print("I've heard that the mayor's favorite restaurant is going through some important problems...");
time.sleep(5);
sound.playSoundUI("sound.dialogues");
chat.print("If I were you, I would solve them and I would come back to gain entry.");
etat_gardemairie=0;
}

if (etat_gardemairie == 2)
{
sound.playSoundUI("sound.dialogues");
chat.print("<Guard> The mayor will receive you.");
}

if (etat_gardemairie == 1)
{
etat_gardemairie=15;
sound.playSoundUI("sound.dialogues");
chat.print("<Guard> I have heard about your deeds.");
time.sleep(3);
sound.playSoundUI("sound.dialogues");
chat.print("The mayor is very grateful and will receive you.");
time.sleep(4)
world.triggerBlock(-194,5,-18);
etat_gardemairie=2;
}